# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140510.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun May 11 00:01:10 UTC 2014
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4                 |    6 +++---
# Ada95/configure                  |    2 +-
# NEWS                             |    7 ++++++-
# aclocal.m4                       |    6 +++---
# configure                        |    2 +-
# dist.mk                          |    4 ++--
# ncurses/base/lib_getch.c         |   17 ++++++++++++++---
# ncurses/win32con/win_driver.c    |    5 +++--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 14 files changed, 43 insertions(+), 26 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.79 
--- ncurses-5.9-20140503+/Ada95/aclocal.m4	2014-04-12 22:30:34.000000000 +0000
+++ ncurses-5.9-20140510/Ada95/aclocal.m4	2014-05-10 21:08:22.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.79 2014/04/12 22:30:34 tom Exp $
+dnl $Id: aclocal.m4,v 1.80 2014/05/10 21:08:22 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1900,7 +1900,7 @@
 
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_MAKEFLAGS version: 14 updated: 2011/03/31 19:29:46
+dnl CF_MAKEFLAGS version: 15 updated: 2014/05/10 16:43:23
 dnl ------------
 dnl Some 'make' programs support ${MAKEFLAGS}, some ${MFLAGS}, to pass 'make'
 dnl options to lower-levels.  It's very useful for "make -n" -- if we have it.
@@ -1919,7 +1919,7 @@
 CF_EOF
 		cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp 2>/dev/null | fgrep -v "ing directory" | sed -e 's,[[ 	]]*$,,'`
 		case "$cf_result" in
-		.*k)
+		.*k|.*kw)
 			cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp CC=cc 2>/dev/null`
 			case "$cf_result" in
 			.*CC=*)	cf_cv_makeflags=
Index: Ada95/configure
--- ncurses-5.9-20140503+/Ada95/configure	2014-04-12 22:30:55.000000000 +0000
+++ ncurses-5.9-20140510/Ada95/configure	2014-05-10 21:08:49.000000000 +0000
@@ -2912,7 +2912,7 @@
 CF_EOF
 		cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp 2>/dev/null | fgrep -v "ing directory" | sed -e 's,[ 	]*$,,'`
 		case "$cf_result" in
-		.*k)
+		.*k|.*kw)
 			cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp CC=cc 2>/dev/null`
 			case "$cf_result" in
 			.*CC=*)	cf_cv_makeflags=
Index: NEWS
Prereq:  1.2199 
--- ncurses-5.9-20140503+/NEWS	2014-05-03 23:22:01.000000000 +0000
+++ ncurses-5.9-20140510/NEWS	2014-05-10 21:07:15.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2199 2014/05/03 23:22:01 tom Exp $
+-- $Id: NEWS,v 1.2201 2014/05/10 21:07:15 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140510
+	+ cleanup recently introduced compiler warnings for MingW port.
+	+ workaround for ${MAKEFLAGS} configure check versus GNU make 4.0,
+	  which introduces more than one gratuitous incompatibility.
+
 20140503
 	+ add vt520ansi terminfo entry (patch by Mike Gran)
 	+ further improve MinGW support for the scenario where there is an
Index: aclocal.m4
Prereq:  1.688 
--- ncurses-5.9-20140503+/aclocal.m4	2014-04-12 22:28:53.000000000 +0000
+++ ncurses-5.9-20140510/aclocal.m4	2014-05-10 21:07:38.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.688 2014/04/12 22:28:53 tom Exp $
+dnl $Id: aclocal.m4,v 1.690 2014/05/10 21:07:38 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -3930,7 +3930,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_MAKEFLAGS version: 14 updated: 2011/03/31 19:29:46
+dnl CF_MAKEFLAGS version: 15 updated: 2014/05/10 16:43:23
 dnl ------------
 dnl Some 'make' programs support ${MAKEFLAGS}, some ${MFLAGS}, to pass 'make'
 dnl options to lower-levels.  It's very useful for "make -n" -- if we have it.
@@ -3949,7 +3949,7 @@
 CF_EOF
 		cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp 2>/dev/null | fgrep -v "ing directory" | sed -e 's,[[ 	]]*$,,'`
 		case "$cf_result" in
-		.*k)
+		.*k|.*kw)
 			cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp CC=cc 2>/dev/null`
 			case "$cf_result" in
 			.*CC=*)	cf_cv_makeflags=
Index: configure
--- ncurses-5.9-20140503+/configure	2014-04-26 20:31:26.000000000 +0000
+++ ncurses-5.9-20140510/configure	2014-05-10 20:21:28.000000000 +0000
@@ -3709,7 +3709,7 @@
 CF_EOF
 		cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp 2>/dev/null | fgrep -v "ing directory" | sed -e 's,[ 	]*$,,'`
 		case "$cf_result" in
-		.*k)
+		.*k|.*kw)
 			cf_result=`${MAKE:-make} -k -f cf_makeflags.tmp CC=cc 2>/dev/null`
 			case "$cf_result" in
 			.*CC=*)	cf_cv_makeflags=
Index: dist.mk
Prereq:  1.984 
--- ncurses-5.9-20140503+/dist.mk	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/dist.mk	2014-05-10 14:37:35.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.984 2014/05/03 15:27:36 tom Exp $
+# $Id: dist.mk,v 1.985 2014/05/10 14:37:35 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20140503
+NCURSES_PATCH = 20140510
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/base/lib_getch.c
Prereq:  1.130 
--- ncurses-5.9-20140503+/ncurses/base/lib_getch.c	2014-05-03 20:49:50.000000000 +0000
+++ ncurses-5.9-20140510/ncurses/base/lib_getch.c	2014-05-10 20:36:57.000000000 +0000
@@ -42,7 +42,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_getch.c,v 1.130 2014/05/03 20:49:50 tom Exp $")
+MODULE_ID("$Id: lib_getch.c,v 1.131 2014/05/10 20:36:57 tom Exp $")
 
 #include <fifo_defs.h>
 
@@ -124,6 +124,17 @@
     return (sp ? sp->_use_meta : 0);
 }
 
+#ifdef USE_TERM_DRIVER
+# ifdef __MINGW32__
+static HANDLE
+_nc_get_handle(int fd)
+{
+    intptr_t value = _get_osfhandle(fd);
+    return (HANDLE) value;
+}
+# endif
+#endif
+
 /*
  * Check for mouse activity, returning nonzero if we find any.
  */
@@ -138,7 +149,7 @@
 # ifdef __MINGW32__
     /* if we emulate terminfo on console, we have to use the console routine */
     if (IsTermInfoOnConsole(sp)) {
-	HANDLE fd = (HANDLE) _get_osfhandle(sp->_ifd);
+	HANDLE fd = _nc_get_handle(sp->_ifd);
 	rc = _nc_mingw_testmouse(sp, fd, delay EVENTLIST_2nd(evl));
     } else
 # endif
@@ -280,7 +291,7 @@
 #ifdef __MINGW32__
 	if (NC_ISATTY(sp->_ifd) && IsTermInfoOnConsole(sp) && sp->_cbreak)
 	    n = _nc_mingw_console_read(sp,
-				       (HANDLE) _get_osfhandle(sp->_ifd),
+				       _nc_get_handle(sp->_ifd),
 				       &buf);
 	else
 #endif
Index: ncurses/win32con/win_driver.c
Prereq:  1.36 
--- ncurses-5.9-20140503+/ncurses/win32con/win_driver.c	2014-05-03 20:48:51.000000000 +0000
+++ ncurses-5.9-20140510/ncurses/win32con/win_driver.c	2014-05-10 21:50:00.000000000 +0000
@@ -45,7 +45,7 @@
 
 #define CUR my_term.type.
 
-MODULE_ID("$Id: win_driver.c,v 1.36 2014/05/03 20:48:51 tom Exp $")
+MODULE_ID("$Id: win_driver.c,v 1.38 2014/05/10 21:50:00 tom Exp $")
 
 #ifndef __GNUC__
 #  error We need GCC to compile for MinGW
@@ -1758,6 +1758,7 @@
 _nc_mingw_tcflush(int fd, int queue)
 {
     TC_PROLOGUE(fd);
+    (void) term;
 
     if (_nc_mingw_isconsole(fd)) {
 	if (queue == TCIFLUSH) {
@@ -1877,7 +1878,7 @@
 	      rkeycompare);
 
 	if (GetNumberOfConsoleMouseButtons(&num_buttons)) {
-	    CON.numButtons = num_buttons;
+	    CON.numButtons = (int) num_buttons;
 	} else {
 	    CON.numButtons = 1;
 	}
Index: package/debian-mingw/changelog
--- ncurses-5.9-20140503+/package/debian-mingw/changelog	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/debian-mingw/changelog	2014-05-10 14:37:35.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140503) unstable; urgency=low
+ncurses6 (5.9-20140510) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 May 2014 11:27:36 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 May 2014 10:37:35 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20140503+/package/debian-mingw64/changelog	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/debian-mingw64/changelog	2014-05-10 14:37:35.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140503) unstable; urgency=low
+ncurses6 (5.9-20140510) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 May 2014 11:27:36 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 May 2014 10:37:35 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20140503+/package/debian/changelog	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/debian/changelog	2014-05-10 14:37:35.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140503) unstable; urgency=low
+ncurses6 (5.9-20140510) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 May 2014 11:27:36 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 May 2014 10:37:35 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.39 
--- ncurses-5.9-20140503+/package/mingw-ncurses.nsi	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/mingw-ncurses.nsi	2014-05-10 14:37:35.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.39 2014/05/03 15:27:36 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.40 2014/05/10 14:37:35 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "0503"
+!define VERSION_MMDD  "0510"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20140503+/package/mingw-ncurses.spec	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/mingw-ncurses.spec	2014-05-10 14:37:35.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20140503
+Release: 20140510
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20140503+/package/ncurses.spec	2014-05-03 15:27:36.000000000 +0000
+++ ncurses-5.9-20140510/package/ncurses.spec	2014-05-10 14:37:35.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20140503
+Release: 20140510
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
